Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 685624 - media-gfx/gimp-2.10.18-r1 re-keywording
Summary: media-gfx/gimp-2.10.18-r1 re-keywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergey Torokhov
URL:
Whiteboard:
Keywords: KEYWORDREQ, PullRequest
Depends on: 708412
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2019-05-11 13:30 UTC by Jeroen Roovers (RETIRED)
Modified: 2020-08-30 07:29 UTC (History)
1 user (show)

See Also:
Package list:
media-gfx/gimp-2.10.18-r1 alpha arm arm64 ia64 ppc hppa media-gfx/mypaint-brushes-1.3.0-r1 alpha arm ia64 ppc hppa media-libs/gegl-0.4.22 alpha media-libs/libnsgif-0.2.1-r1 alpha
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2019-05-11 13:30:55 UTC
RepoMan scours the neighborhood...
  KEYWORDS.dropped              1
   media-gfx/gimp/gimp-2.10.10-r1.ebuild: alpha amd64-linux arm arm64 hppa ia64 mips ppc ppc-macos ppc64 sparc x64-macos x64-solaris x86-linux x86-macos x86-solaris

Keywords for media-gfx/gimp:
             | a a a a i p p r x h m s s s a m x | e u s | r
             | l m r r a p p i 8 p 6 3 h p m i 8 | a n l | e
             | p d m m 6 c c s 6 p 8 9   a d p 6 | p u o | p
             | h 6   6 4   6 c   a k 0   r 6 s | | i s t | o
             | a 4   4     4 v           c 4   f |   e   |
             |                             |   b |   d   |
             |                             f   s |       |
             |                             b   d |       |
             |                             s     |       |
             |                             d     |       |
-------------+-----------------------------------+-------+-------
2.8.22-r1    | + + ~ ~ + + + o + ~ o o o + o ~ o | 5 o 2 | gentoo
2.9.8-r1     | ~ ~ ~ ~ ~ ~ ~ o ~ ~ o o o o o o o | 6 o   | gentoo
[I]2.10.8-r1 | o + o o o o o o + ~ o o o o o o o | 6 o   | gentoo
2.10.10-r1   | o ~ o o o o o o ~ ~ o o o o o o o | 6 o   | gentoo
9999         | o o o o o o o o o o o o o o o o o | 6 o   | gentoo
Comment 1 Sebastian Pipping gentoo-dev 2019-05-12 18:46:21 UTC
Hi!

Are you sure the full effort is worth everyone's time?  Maybe it's good enough to get 2.20.{8,10} back to where 2.9.8 was (rather than 2.8.22) regarding keywords?
Comment 2 Georgy Yakovlev gentoo-dev 2019-12-26 12:58:09 UTC
restored ~ppc64 keyword for 2.10.14
works fine.
Comment 3 Stabilization helper bot gentoo-dev 2020-01-25 23:00:32 UTC
An automated check of this bug failed - repoman reported dependency errors (121 lines truncated): 

> dependency.bad media-libs/libheif/libheif-1.6.1.ebuild: BDEPEND: ~alpha(default/linux/alpha/17.0) ['dev-lang/go']
> dependency.bad media-libs/libheif/libheif-1.6.1.ebuild: DEPEND: ~alpha(default/linux/alpha/17.0) ['media-libs/libde265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', 'media-libs/x265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-libs/libheif/libheif-1.6.1.ebuild: RDEPEND: ~alpha(default/linux/alpha/17.0) ['media-libs/libde265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', 'media-libs/x265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 4 Larry the Git Cow gentoo-dev 2020-01-26 20:07:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb32b2b6641591dab1a5f96d9878e0f695160e3b

commit bb32b2b6641591dab1a5f96d9878e0f695160e3b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-01-26 20:06:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-01-26 20:07:46 +0000

    profiles: alpha/hppa/ia64/ppc32/sparc: Mask media-libs/libheif[test]
    
    dev-lang/go is not keyworded
    
    Bug: https://bugs.gentoo.org/685624
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/alpha/package.use.mask              | 4 ++++
 profiles/arch/hppa/package.use.mask               | 4 ++++
 profiles/arch/ia64/package.use.mask               | 4 ++++
 profiles/arch/powerpc/ppc32/package.use.mask      | 6 +++++-
 profiles/arch/powerpc/ppc64/32ul/package.use.mask | 6 +++++-
 profiles/arch/sparc/package.use.mask              | 4 ++++
 6 files changed, 26 insertions(+), 2 deletions(-)
Comment 5 Stabilization helper bot gentoo-dev 2020-01-26 21:00:41 UTC
An automated check of this bug failed - repoman reported dependency errors (7 lines truncated): 

> dependency.bad media-libs/libheif/libheif-1.6.1.ebuild: DEPEND: ~alpha(default/linux/alpha/17.0) ['media-libs/x265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-libs/libheif/libheif-1.6.1.ebuild: RDEPEND: ~alpha(default/linux/alpha/17.0) ['media-libs/x265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad media-libs/libheif/libheif-1.6.1.ebuild: DEPEND: ~alpha(default/linux/alpha/17.0/desktop) ['media-libs/x265:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 6 Larry the Git Cow gentoo-dev 2020-01-26 22:46:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f74a5c42e6324bec71365423373f95dd776f60e

commit 6f74a5c42e6324bec71365423373f95dd776f60e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-01-26 22:44:01 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-01-26 22:46:13 +0000

    profiles: alpha/arm/hppa/ia64/ppc32/sparc: Mask media-gfx/gimp[heif]
    
    Don't bother with media-libs/libheif on slow arches anyway.
    
    Bug: https://bugs.gentoo.org/685624
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/alpha/package.use.mask              | 4 ++--
 profiles/arch/arm/package.use.mask                | 4 ++++
 profiles/arch/hppa/package.use.mask               | 4 ++--
 profiles/arch/ia64/package.use.mask               | 4 ++--
 profiles/arch/powerpc/ppc32/package.use.mask      | 4 ++--
 profiles/arch/powerpc/ppc64/32ul/package.use.mask | 4 ++--
 profiles/arch/sparc/package.use.mask              | 4 ++--
 7 files changed, 16 insertions(+), 12 deletions(-)
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2020-01-27 10:28:37 UTC
~ia64 keyworded
Comment 8 ernsteiswuerfel archtester 2020-02-05 20:30:05 UTC
gimp-2.10.14 fails to build on ppc (bug #708412).
Comment 9 Andreas Sturmlechner gentoo-dev 2020-03-08 10:26:30 UTC
(In reply to ernsteiswuerfel from comment #8)
> gimp-2.10.14 fails to build on ppc (bug #708412).

Updated to 2.10.18-r1.
Comment 10 Stabilization helper bot gentoo-dev 2020-03-08 11:01:23 UTC
An automated check of this bug failed - repoman reported dependency errors (7 lines truncated): 

> dependency.bad media-gfx/gimp/gimp-2.10.18-r1.ebuild: DEPEND: ~alpha(default/linux/alpha/17.0) ['>=media-libs/gegl-0.4.22:0.4[cairo]']
> dependency.bad media-gfx/gimp/gimp-2.10.18-r1.ebuild: RDEPEND: ~alpha(default/linux/alpha/17.0) ['>=media-libs/gegl-0.4.22:0.4[cairo]']
> dependency.bad media-gfx/gimp/gimp-2.10.18-r1.ebuild: DEPEND: ~alpha(default/linux/alpha/17.0/desktop) ['>=media-libs/gegl-0.4.22:0.4[cairo]']
Comment 11 Stabilization helper bot gentoo-dev 2020-03-08 13:01:24 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 12 Mart Raudsepp gentoo-dev 2020-03-09 21:04:28 UTC
arm64 keyworded
Comment 13 Stabilization helper bot gentoo-dev 2020-03-17 04:00:17 UTC
An automated check of this bug failed - the following atom is unknown:

-libs/libnsgif-0.2.1-r1

Please verify the atom list.
Comment 14 Matt Turner gentoo-dev 2020-03-17 20:11:22 UTC
(In reply to Sebastian Pipping from comment #1)
> Hi!
> 
> Are you sure the full effort is worth everyone's time?  Maybe it's good
> enough to get 2.20.{8,10} back to where 2.9.8 was (rather than 2.8.22)
> regarding keywords?

Agreed. This was really dumb if the reason was a new dependency on media-gfx/mypaint-brushes, which just installs a bunch of pngs.
Comment 15 Matt Turner gentoo-dev 2020-03-18 00:06:01 UTC
added ~alpha
Comment 16 Rolf Eike Beer archtester 2020-04-09 17:09:04 UTC
Since the sparc of babl support is fundamentally broken because of the unaligned accesses we will dekeyword this.
Comment 17 NATTkA bot gentoo-dev 2020-04-11 06:16:20 UTC
Resetting sanity check; keywords are not fully specified and arches are not CC-ed.
Comment 18 Andreas Sturmlechner gentoo-dev 2020-05-02 11:02:00 UTC
Actually doesn't block bug 720162 anymore.
Comment 19 Jeroen Roovers (RETIRED) gentoo-dev 2020-05-24 12:31:50 UTC
Marked ~hppa.
Comment 20 ernsteiswuerfel archtester 2020-07-14 22:39:12 UTC
Looking good on ppc.

gimp-2.10.18-r1 (and gimp-2.10.20) fail 1 test (bug #732618).

 # cat gimp-685624.report 
USE tests started on Di 14. Jul 21:18:43 CEST 2020

 FEATURES=' test' failed for =media-gfx/gimp-2.10.18-r1
USE='aalib -alsa -cpu_flags_ppc_altivec -doc gnome -jpeg2k -mng openexr -postscript -python udev -unwind -vector-icons -webp -wmf -xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib alsa cpu_flags_ppc_altivec doc gnome -jpeg2k -mng -openexr postscript -python udev -unwind -vector-icons -webp -wmf -xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib -alsa cpu_flags_ppc_altivec -doc -gnome -jpeg2k -mng -openexr postscript -python udev unwind -vector-icons -webp wmf -xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='aalib alsa cpu_flags_ppc_altivec -doc -gnome jpeg2k mng openexr -postscript -python -udev -unwind -vector-icons webp wmf -xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='aalib alsa cpu_flags_ppc_altivec doc -gnome jpeg2k mng -openexr -postscript -python udev unwind vector-icons webp wmf -xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib alsa cpu_flags_ppc_altivec doc gnome -jpeg2k mng -openexr postscript -python udev unwind -vector-icons -webp -wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='aalib alsa cpu_flags_ppc_altivec -doc -gnome -jpeg2k mng openexr -postscript -python -udev unwind vector-icons -webp -wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib alsa -cpu_flags_ppc_altivec -doc -gnome jpeg2k -mng -openexr -postscript -python udev unwind vector-icons -webp -wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='aalib -alsa cpu_flags_ppc_altivec doc -gnome -jpeg2k mng openexr -postscript -python udev -unwind -vector-icons webp -wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib -alsa -cpu_flags_ppc_altivec doc gnome -jpeg2k mng -openexr -postscript -python udev -unwind vector-icons webp -wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib alsa -cpu_flags_ppc_altivec doc gnome jpeg2k mng openexr -postscript -python udev unwind vector-icons -webp wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1
USE='-aalib -alsa cpu_flags_ppc_altivec -doc gnome jpeg2k mng openexr -postscript -python -udev -unwind -vector-icons webp wmf xpm' succeeded for =media-gfx/gimp-2.10.18-r1

FEATURES=' test' USE='' succeeded for =media-gfx/mypaint-brushes-1.3.0-r1
USE='' succeeded for =media-gfx/mypaint-brushes-1.3.0-r1
Comment 21 Sam James archtester gentoo-dev Security 2020-07-17 00:36:26 UTC
~arm added
Comment 22 Sergei Trofimovich (RETIRED) gentoo-dev 2020-08-11 07:19:38 UTC
~ppc keyworded thanks to ernsteiswuerfel!

Last arch. Closing.
Comment 23 Andreas Sturmlechner gentoo-dev 2020-08-13 19:47:04 UTC
Re-opening for EAPI-5 cleanup.
Comment 24 Larry the Git Cow gentoo-dev 2020-08-22 16:07:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b98449cc7eb273b489dbf0c2ca4a07be861077af

commit b98449cc7eb273b489dbf0c2ca4a07be861077af
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-05-02 11:19:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-08-22 16:06:40 +0000

    media-libs/gegl: Drop 0.2.0-r6, 0.3.34* and 0.4.16*
    
    Effectively dropping back to ~ppc.
    
    Bug: https://bugs.gentoo.org/685624
    Closes: https://bugs.gentoo.org/735370
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/gegl/Manifest                           |   3 -
 .../files/gegl-0.2.0-cve-2012-4433-1e92e523.patch  |  68 --------
 .../files/gegl-0.2.0-cve-2012-4433-4757cdf7.patch  |  70 --------
 media-libs/gegl/files/gegl-0.2.0-ffmpeg-0.11.diff  |  57 -------
 .../gegl/files/gegl-0.2.0-ffmpeg-4-0-compat.patch  |  13 --
 .../files/gegl-0.2.0-ffmpeg-av_frame_alloc.patch   |  38 -----
 .../gegl/files/gegl-0.2.0-fix-without-exiv2.patch  |  30 ----
 .../gegl/files/gegl-0.2.0-g_log_domain.patch       |  25 ---
 .../files/gegl-0.2.0-introspection-version.patch   |  31 ----
 .../gegl/files/gegl-0.2.0-libopenraw-0.1.patch     |  48 ------
 .../gegl/files/gegl-0.2.0-underlinking.patch       |  65 --------
 .../gegl/files/gegl-0.3.12-failing-tests.patch     |  33 ----
 .../files/gegl-0.4.0-ffmpeg-4-0-compat-1.patch     |  63 --------
 .../files/gegl-0.4.0-ffmpeg-4-0-compat-2.patch     |  25 ---
 media-libs/gegl/gegl-0.2.0-r6.ebuild               | 163 -------------------
 media-libs/gegl/gegl-0.3.34-r1.ebuild              | 173 --------------------
 media-libs/gegl/gegl-0.3.34.ebuild                 | 178 ---------------------
 media-libs/gegl/gegl-0.4.16-r1.ebuild              | 170 --------------------
 media-libs/gegl/gegl-0.4.16.ebuild                 | 169 -------------------
 19 files changed, 1422 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9c0647ef9ae9f3837fe4be808b9e6e09a3b0371

commit d9c0647ef9ae9f3837fe4be808b9e6e09a3b0371
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-05-02 11:12:48 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-08-22 16:06:40 +0000

    media-gfx/gimp: Drop 2.8.22-r2 and 2.9.8-r1
    
    Effectively dropping to ~ppc.
    
    Bug: https://bugs.gentoo.org/685624
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-gfx/gimp/Manifest                            |   2 -
 .../gimp/files/gimp-2.7.4-no-deprecation.patch     |  36 ----
 media-gfx/gimp/files/gimp-2.8.10-clang.patch       | 204 --------------------
 .../gimp/files/gimp-2.8.14-blend-center.patch      |  30 ---
 .../gimp/files/gimp-2.8.22-cve-2017-17784.patch    |  32 ----
 .../gimp/files/gimp-2.8.22-cve-2017-17785.patch    | 161 ----------------
 .../gimp/files/gimp-2.8.22-cve-2017-17786-1.patch  |  53 ------
 .../gimp/files/gimp-2.8.22-cve-2017-17786-2.patch  |  31 ----
 .../gimp/files/gimp-2.8.22-cve-2017-17787.patch    |  33 ----
 .../gimp/files/gimp-2.8.22-cve-2017-17788.patch    |  29 ---
 .../gimp/files/gimp-2.8.22-cve-2017-17789.patch    |  38 ----
 .../gimp/files/gimp-2.9.8-cve-2017-17784.patch     |  30 ---
 media-gfx/gimp/gimp-2.8.22-r2.ebuild               | 173 -----------------
 media-gfx/gimp/gimp-2.9.8-r1.ebuild                | 205 ---------------------
 media-gfx/gimp/metadata.xml                        |  11 +-
 15 files changed, 2 insertions(+), 1066 deletions(-)